Subject: Re: bug#15303: 24.3; [diff-mode] diff-hunk-kill doesn't update numbers in subsequent hunks

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Sep 2013 19:08:22 -0400

severity 15303 wishlist
thanks

> I am afraid, I have no clue about Lisp at all (SICP is still lying on my
> bed table, but I am afraid it is used mostly as sleeping pills ;)).
> I have come to this problem while writing my own module for vim
> (http://gitorious.org/vim-diff_navigator/).

Sounds like the perfect opportunity to get up to speed on Lisp.

> While working with Fedora (and RHEL) packages I work a lot with patches,
> and it is often much more easy to actually edit patches (which are of
> course correct ones) than to apply all patches and regenerate patches.
> And quilt doesn't help everytime completely.
> And of course, we have --fuzz=0 everywhere in Fedora (and RHEL).
> So, yes, I understand where you are coming from, but I have a bit
> different use case.

I agree it would be generally good to update the numbers like you
request, but it's not a high-enough priority.

        Stefan